View Issue Details

IDProjectCategoryView StatusLast Update
0003287FreeCADBugpublic2018-01-26 10:35
ReporterTam BitAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003287: Building Freecad Master Branch with QT5.9 fails on WidgetFactory with typeresolver.h missing error
DescriptionBackground of this seems to be that with Shiboken2 commit 8c9037dc83fbdbb0b9913961fbe7f84066630e18 the old typeconversion system typeresolver.h got removed.
Steps To ReproduceCompile Freecad with QT5 enabled and Shiboken >= commit 8c9037dc83fbdbb0b9913961fbe7f84066630e18
TagsMacOSX, packaging

Activities

Kunda1

2017-12-19 03:25

manager   ~0010617

Please open a forum thread and link to this ticket (per the [url=https://freecadweb.org/wiki/Tracker]guidelines[/url]). Thanks

wmayer

2017-12-25 21:44

administrator   ~0010631

https://forum.freecadweb.org/viewtopic.php?f=4&t=25308&p=203127

dansrogers

2018-01-24 21:16

reporter   ~0010847

I may have fixed this. https://github.com/FreeCAD/FreeCAD/pull/1254 which just got merged today.

Kunda1

2018-01-25 19:05

manager   ~0010853

@dansrogers is this fixed then?

dansrogers

2018-01-25 19:07

reporter   ~0010854

It compiles, and should compile against older versions, but I'm still struggling to get a working mac os x build for what I believe to be unrelated reasons. It'd be great to get validation that:

1. It still builds for everyone else.
2. The functionality it is associated with still works.

wmayer

2018-01-26 10:35

administrator   ~0010859

https://github.com/FreeCAD/FreeCAD/commit/6ce8e1a0ae4ba1a2ce3a34eea7c97fe029e59455

Issue History

Date Modified Username Field Change
2017-12-19 00:01 Tam Bit New Issue
2017-12-19 03:24 Kunda1 Tag Attached: packaging
2017-12-19 03:25 Kunda1 Note Added: 0010617
2017-12-19 03:25 Kunda1 Status new => feedback
2017-12-25 21:44 wmayer Note Added: 0010631
2018-01-05 18:57 wmayer Target Version => 0.17
2018-01-24 21:16 dansrogers Note Added: 0010847
2018-01-24 22:02 Kunda1 Tag Attached: MacOSX
2018-01-25 19:05 Kunda1 Note Added: 0010853
2018-01-25 19:07 dansrogers Note Added: 0010854
2018-01-26 10:35 wmayer Status feedback => closed
2018-01-26 10:35 wmayer Resolution open => fixed
2018-01-26 10:35 wmayer Fixed in Version => 0.17
2018-01-26 10:35 wmayer Note Added: 0010859